﻿.routeSearch {
    display: flex;
    z-index: 902;
    position: relative;
    width: 100%;
    justify-content: space-evenly;
}

    .routeSearch div.combo {
        cursor: pointer;
        margin-right: 20px;
        border: 1px solid #248100;
        align-items: center;
        width: 33%;
        display: grid;
        grid-template-columns: 60px auto 25px;
        grid-auto-columns: auto;
    }

        .routeSearch div.combo.end {
            width: 34%;
            margin-right: 0px;
        }

        .routeSearch.river div.combo {
            width: 50%;
        }

    .routeSearch div .choosen {
        position: relative;
        display: grid;
        flex-grow: 1;
        height: 60px;
        align-content: center;
        padding-left: 10px;
    }

        /*.routeSearch div div.option span.image*/
        .routeSearch div.choosen div.option span.image, .routeSearch div.choosen span.icon {
            display: none;
        }
    /*    .routeSearch div.start .choosen {
        grid-template-columns: auto 35px 35px;
    }
        .routeSearch.cycling div.start .choosen {
        grid-template-columns: auto 35px 35px 35px;
    }
*/ /*      .routeSearch div.end .choosen {
        grid-template-columns: auto 35px 35px 35px;
    }
    .routeSearch.cycling div.end .choosen {
        grid-template-columns: auto 35px 35px 35px 35px;
    }*/
    .routeSearch div.middle .choosen {
        grid-template-columns: auto;
    }

    .routeSearch div.choosen div {
        padding: 0 5px;
    }

        .routeSearch div.choosen div.item {
            display: grid;
            align-content: center;
        }

        .routeSearch div.choosen div.img {
            height: 60px;
            line-height: 60px;
        }

        .routeSearch div.choosen div.active {
            background-color: #248100;
        }

    .routeSearch div .choosen img {
        vertical-align: middle;
    }

    .routeSearch div span.icon {
        width: 60px;
        height: 60px;
        background-position: center;
        background-size: cover;
        border-right: 1px solid #248100;
        margin-right: 10px;
    }

    /* .routeSearch div span {
            display: block;
        }*/

    .routeSearch div div.option {
        display: flex;
        align-items: center;
        /*width: 100%;*/
        /*    gap: 20px;*/
    }

        .routeSearch div div.option p {
            width: 100%;
            margin: 0;
        }

        .routeSearch div div.option span.image {
            width: 90px;
            display: block;
            border: 1px solid black;
        }

        .routeSearch div div.option span.text {
            display: block;
            width: 100%;
            padding-left:5px;
        }

        .routeSearch div div.option img {
            max-height: 50px;
            max-width: 80px;
            display: block;
        }

    .routeSearch div:hover span.icon {
        background-color: #248100;
    }


    .routeSearch div.start span.icon {
        background-image: url("//static.posazavi.com/Images/Tourist/RouteSearch/start.png");
    }

    .routeSearch div.middle span.icon {
        background-image: url("//static.posazavi.com/Images/Tourist/RouteSearch/trasy_prujezd_pamatky.png");
    }

    .routeSearch div.end span.icon {
        background-image: url("//static.posazavi.com/Images/Tourist/RouteSearch/cil.png");
    }

    .routeSearch div.start:hover span.icon {
        background-image: url("//static.posazavi.com/Images/Tourist/RouteSearch/start_b.png");
    }

    .routeSearch div.middle:hover span.icon {
        background-image: url("//static.posazavi.com/Images/Tourist/RouteSearch/trasy_prujezd_pamatky_b.png");
    }

    .routeSearch div.end:hover span.icon {
        background-image: url("//static.posazavi.com/Images/Tourist/RouteSearch/cil_b.png");
    }
    
    .routeSearch div.middle .dropdown-menu span.icon {
        background-image: url("//static.posazavi.com/Images/Tourist/RouteSearch/trasy_prujezd_pamatky.png");
        border-right: none;
    }

    .routeSearch div:hover .dropdown-menu span.icon {
        background-color:inherit;
        width:60px;
    }





    .routeSearch div.combo .dropdown-menu {
        width: 105%;
        max-height: 400px;
        overflow-y: scroll;
        margin-top: 2px;
    }

        .routeSearch div.combo .dropdown-menu ul {
            text-indent: 0;
            padding-left:0;
        }

div.routeSearch.river .dropdown-menu li {
    height: 60px;
}



/*.routeSearch div.combo .dropdown-menu li.r:before {
    content: '[Ž] ';
}

.routeSearch div.combo .dropdown-menu li.c:before {
    content: '[M] ';
}
*/
.routeSearch .dropdown-menu .fullText {
    margin-bottom: 5px;
}

.routeSearch .combo div.img img {
    height: 24px;
    vertical-align: middle;
}

.routeSearch .dropdown-menu input {
    width: 100%;
    display: block;
    /* margin-left: 1em;*/
}

.routeSearch .filter div.img {
    margin-bottom: 1px;
     margin-right: 5px;
    background-size: 80%;
    background-position: center;
    background-repeat: no-repeat;
    width: 60px;
    height: 50px;
}

    .routeSearch .filter div.img:hover {
        background-color: #248100;
    }


    .routeSearch .filter div.img.city {
        background-image: url("//static.posazavi.com/Images/Tourist/RouteSearch/trasy_mesto.png");
    }

        .routeSearch .filter div.img.city.active, .routeSearch .filter div.img.city:hover {
            background-image: url("//static.posazavi.com/Images/Tourist/RouteSearch/trasy_mesto_b.png");
        }

    .routeSearch .filter div.img.rail {
        background-image: url("//static.posazavi.com/Images/Tourist/RouteSearch/trasy_nadrazi.png");
    }

        .routeSearch .filter div.img.rail.active, .routeSearch .filter div.img.rail:hover {
            background-image: url("//static.posazavi.com/Images/Tourist/RouteSearch/trasy_nadrazi_b.png");
        }

    .routeSearch .filter div.img.metro {
        background-image: url("//static.posazavi.com/Images/Tourist/RouteSearch/trasy_metro.png");
    }

        .routeSearch .filter div.img.metro.active, .routeSearch .filter div.img.metro:hover {
            background-image: url("//static.posazavi.com/Images/Tourist/RouteSearch/trasy_metro_b.png");
        }

    .routeSearch .filter div.img.memory {
        background-image: url("//static.posazavi.com/Images/Tourist/RouteSearch/trasy_pamatky.png");
    }

        .routeSearch .filter div.img.memory.active, .routeSearch .filter div.img.memory:hover {
            background-image: url("//static.posazavi.com/Images/Tourist/RouteSearch/trasy_pamatky_b.png");
        }

.routeSearch .combo .filter div.img img {
    height: initial;
}

.routeSearch .filter div.active {
    background-color: #248100;
}


.routeSearch .itemList div {
    display: none;
}

    .routeSearch .itemList div.active {
        display: block;
    }
